Constants (Axis API)
Keywords: org.apache.axis.Constants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class Constants

    java.lang.Object
      org.apache.axis.Constants

Direct Known Subclasses:
  XMLType

public class Constants
extends java.lang.Object

Field Summary
`static java.lang.String` | `ANYCONTENT` The name of the field which accepts xsd:any content in Beans.
`static java.lang.String` | `ATTR_ACTOR`
`static java.lang.String` | `ATTR_ARRAY_SIZE`
`static java.lang.String` | `ATTR_ARRAY_TYPE`
`static java.lang.String` | `ATTR_ENCODING_STYLE`
`static java.lang.String` | `ATTR_HANDLERINFOCHAIN`
`static java.lang.String` | `ATTR_HREF`
`static java.lang.String` | `ATTR_ID`
`static java.lang.String` | `ATTR_ITEM_TYPE`
`static java.lang.String` | `ATTR_MUST_UNDERSTAND`
`static java.lang.String` | `ATTR_OFFSET`
`static java.lang.String` | `ATTR_POSITION`
`static java.lang.String` | `ATTR_QNAME`
`static java.lang.String` | `ATTR_REF`
`static java.lang.String` | `ATTR_RELAY`
`static java.lang.String` | `ATTR_ROLE`
`static java.lang.String` | `ATTR_ROOT`
`static java.lang.String` | `ATTR_TYPE`
`static java.lang.String` | `AXIS_SAX`
`static int` | `DEFAULT_MESSAGE_TIMEOUT` The default timeout for messages.
`static SOAPConstants` | `DEFAULT_SOAP_VERSION`
`static java.lang.String` | `ELEM_BODY`
`static java.lang.String` | `ELEM_ENVELOPE`
`static java.lang.String` | `ELEM_FAULT`
`static java.lang.String` | `ELEM_FAULT_ACTOR`
`static java.lang.String` | `ELEM_FAULT_CODE`
`static java.lang.String` | `ELEM_FAULT_CODE_SOAP12`
`static java.lang.String` | `ELEM_FAULT_DETAIL`
`static java.lang.String` | `ELEM_FAULT_DETAIL_SOAP12`
`static java.lang.String` | `ELEM_FAULT_NODE_SOAP12`
`static java.lang.String` | `ELEM_FAULT_REASON_SOAP12`
`static java.lang.String` | `ELEM_FAULT_ROLE_SOAP12`
`static java.lang.String` | `ELEM_FAULT_STRING`
`static java.lang.String` | `ELEM_FAULT_SUBCODE_SOAP12`
`static java.lang.String` | `ELEM_FAULT_VALUE_SOAP12`
`static java.lang.String` | `ELEM_HEADER`
`static java.lang.String` | `ELEM_NOTUNDERSTOOD`
`static java.lang.String` | `ELEM_SUPPORTEDENVELOPE`
`static java.lang.String` | `ELEM_TEXT_SOAP12`
`static java.lang.String` | `ELEM_UPGRADE`
`static java.lang.String` | `ELEM_XOP_INCLUDE`
`static java.lang.String` | `ENTERPRISE_LOG_CATEGORY`
`static java.lang.String` | `EXCEPTION_LOG_CATEGORY` Servlet exceptions.
`static java.lang.String` | `FAULT_CLIENT`
`static QName` | `FAULT_MUSTUNDERSTAND`
`static java.lang.String` | `FAULT_SERVER_GENERAL`
`static java.lang.String` | `FAULT_SERVER_USER`
`static QName` | `FAULT_SOAP12_DATAENCODINGUNKNOWN`
`static QName` | `FAULT_SOAP12_MUSTUNDERSTAND`
`static QName` | `FAULT_SOAP12_RECEIVER`
`static QName` | `FAULT_SOAP12_SENDER`
`static QName` | `FAULT_SOAP12_VERSIONMISMATCH`
`static QName` | `FAULT_SUBCODE_BADARGS`
`static QName` | `FAULT_SUBCODE_PROC_NOT_PRESENT`
`static QName` | `FAULT_VERSIONMISMATCH`
`static int` | `HTTP_TXR_BUFFER_SIZE` The size of the buffer size for.
`static java.lang.String` | `JWS_DEFAULT_FILE_EXTENSION` What the extension of JWS files is.
`static java.lang.String` | `MC_CONFIGPATH`
`static java.lang.String` | `MC_HOME_DIR`
`static java.lang.String` | `MC_JWS_CLASSDIR`
`static java.lang.String` | `MC_NO_OPERATION_OK`
`static java.lang.String` | `MC_REALPATH`
`static java.lang.String` | `MC_RELATIVE_PATH`
`static java.lang.String` | `MC_REMOTE_ADDR`
`static java.lang.String` | `MC_SERVLET_ENDPOINT_CONTEXT`
`static java.lang.String` | `MC_SINGLE_SOAP_VERSION`
`static java.lang.String` | `MIME_CT_APPLICATION_OCTETSTREAM` MIME Content Types
`static java.lang.String` | `MIME_CT_APPLICATION_XML`
`static java.lang.String` | `MIME_CT_IMAGE_GIF`
`static java.lang.String` | `MIME_CT_IMAGE_JPEG`
`static java.lang.String` | `MIME_CT_MULTIPART_PREFIX`
`static java.lang.String` | `MIME_CT_TEXT_PLAIN`
`static java.lang.String` | `MIME_CT_TEXT_XML`
`static QName` | `MIME_DATA_HANDLER`
`static QName` | `MIME_IMAGE`
`static QName` | `MIME_MULTIPART`
`static QName` | `MIME_OCTETSTREAM`
`static QName` | `MIME_PLAINTEXT`
`static QName` | `MIME_SOURCE`
`static java.lang.String` | `NS_PREFIX_SCHEMA_XSD`
`static java.lang.String` | `NS_PREFIX_SCHEMA_XSI`
`static java.lang.String` | `NS_PREFIX_SOAP_ENC`
`static java.lang.String` | `NS_PREFIX_SOAP_ENV`
`static java.lang.String` | `NS_PREFIX_WSDL`
`static java.lang.String` | `NS_PREFIX_WSDL_SOAP`
`static java.lang.String` | `NS_PREFIX_XML`
`static java.lang.String` | `NS_PREFIX_XMLSOAP`
`static java.lang.String` | `NS_PREFIX_XOP`
`static java.lang.String` | `NS_URI_AXIS`
`static java.lang.String` | `NS_URI_JAVA`
`static java.lang.String` | `NS_URI_WSDL11` WSDL Namespace.
`static java.lang.String` | `NS_URI_XML`
`static java.lang.String` | `NS_URI_XMLNS`
`static java.lang.String` | `NS_URI_XMLSOAP`
`static java.lang.String[]` | `NS_URIS_WSDL`
`static java.lang.String[]` | `NS_URIS_WSDL_SOAP`
`static QName` | `QNAME_FAULTACTOR`
`static QName` | `QNAME_FAULTCODE`
`static QName` | `QNAME_FAULTCODE_SOAP12`
`static QName` | `QNAME_FAULTDETAIL_EXCEPTIONNAME` QName of exception Name element in an axis fault detail.
`static QName` | `QNAME_FAULTDETAIL_HOSTNAME` QName of a hostname in an axis fault detail.
`static QName` | `QNAME_FAULTDETAIL_HTTPERRORCODE` QName of stack trace element in an axis fault detail.
`static QName` | `QNAME_FAULTDETAIL_NESTEDFAULT` QName of a nested fault in an axis fault detail.
`static QName` | `QNAME_FAULTDETAIL_RUNTIMEEXCEPTION` Flag set if this was a runtime exception, rather than something thrown by the class at the end of the chain.
`static QName` | `QNAME_FAULTDETAIL_SOAP12`
`static QName` | `QNAME_FAULTDETAIL_STACKTRACE` QName of stack trace element in an axis fault detail.
`static QName` | `QNAME_FAULTDETAILS`
`static QName` | `QNAME_FAULTNODE_SOAP12`
`static QName` | `QNAME_FAULTREASON_SOAP12`
`static QName` | `QNAME_FAULTROLE_SOAP12`
`static QName` | `QNAME_FAULTSTRING`
`static QName` | `QNAME_FAULTSUBCODE_SOAP12`
`static QName` | `QNAME_FAULTVALUE_SOAP12`
`static QName` | `QNAME_LITERAL_ITEM`
`static QName` | `QNAME_NO_SERVICE_FAULT_CODE` The no-service fault value.
`static QName` | `QNAME_NOTUNDERSTOOD`
`static QName` | `QNAME_RPC_RESULT`
`static QName` | `QNAME_TEXT_SOAP12`
`static QName[]` | `QNAMES_NIL`
`static QName` | `SOAP_ARRAY`
`static QName` | `SOAP_ARRAY_ATTRS11`
`static QName` | `SOAP_ARRAY_ATTRS12`
`static QName` | `SOAP_ARRAY12`
`static QName` | `SOAP_BASE64`
`static QName` | `SOAP_BASE64BINARY`
`static QName` | `SOAP_BOOLEAN`
`static QName` | `SOAP_BYTE`
`static QName` | `SOAP_COMMON_ATTRS11`
`static QName` | `SOAP_COMMON_ATTRS12`
`static QName` | `SOAP_DECIMAL`
`static QName` | `SOAP_DOCUMENT`
`static QName` | `SOAP_DOUBLE`
`static QName` | `SOAP_ELEMENT`
`static QName` | `SOAP_FLOAT`
`static QName` | `SOAP_INT`
`static QName` | `SOAP_INTEGER`
`static QName` | `SOAP_LONG`
`static QName` | `SOAP_MAP`
`static QName` | `SOAP_SHORT`
`static QName` | `SOAP_STRING`
`static QName` | `SOAP_VECTOR`
`static java.lang.String` | `TIME_LOG_CATEGORY` time logged stuff.
`static java.lang.String` | `URI_1999_SCHEMA_XSD`
`static java.lang.String` | `URI_1999_SCHEMA_XSI`
`static java.lang.String` | `URI_2000_SCHEMA_XSD`
`static java.lang.String` | `URI_2000_SCHEMA_XSI`
`static java.lang.String` | `URI_2001_SCHEMA_XSD`
`static java.lang.String` | `URI_2001_SCHEMA_XSI`
`static java.lang.String` | `URI_DEFAULT_SCHEMA_XSD`
`static java.lang.String` | `URI_DEFAULT_SCHEMA_XSI`
`static java.lang.String` | `URI_DEFAULT_SOAP_ENC`
`static java.lang.String` | `URI_DEFAULT_SOAP_ENV`
`static java.lang.String` | `URI_DIME_CLOSED_LAYOUT`
`static java.lang.String` | `URI_DIME_CONTENT`
`static java.lang.String` | `URI_DIME_OPEN_LAYOUT`
`static java.lang.String` | `URI_DIME_REFERENCE`
`static java.lang.String` | `URI_DIME_WSDL`
`static java.lang.String` | `URI_LITERAL_ENC`
`static java.lang.String` | `URI_SOAP11_ENC`
`static java.lang.String` | `URI_SOAP11_ENV`
`static java.lang.String` | `URI_SOAP11_HTTP`
`static java.lang.String` | `URI_SOAP11_NEXT_ACTOR`
`static java.lang.String` | `URI_SOAP12_ENC`
`static java.lang.String` | `URI_SOAP12_ENV`
`static java.lang.String` | `URI_SOAP12_HTTP`
`static java.lang.String` | `URI_SOAP12_NEXT_ACTOR` Deprecated. use URI_SOAP12_NEXT_ROLE
`static java.lang.String` | `URI_SOAP12_NEXT_ROLE`
`static java.lang.String` | `URI_SOAP12_NOENC`
`static java.lang.String` | `URI_SOAP12_NONE_ROLE`
`static java.lang.String` | `URI_SOAP12_RPC`
`static java.lang.String` | `URI_SOAP12_ULTIMATE_ROLE`
`static java.lang.String` | `URI_WSDL11_SOAP`
`static java.lang.String` | `URI_WSDL12_SOAP`
`static java.lang.String` | `URI_XOP_INCLUDE`
`static java.lang.String[]` | `URIS_SCHEMA_XSD`
`static java.lang.String[]` | `URIS_SCHEMA_XSI`
`static java.lang.String[]` | `URIS_SOAP_ENC`
`static java.lang.String[]` | `URIS_SOAP_ENV`
`static java.lang.String` | `WSIBP11_COMPAT_PROPERTY` Basic Profile 1.1 compatibility flag
`static QName` | `XML_LANG`
`static QName` | `XSD_ANY`
`static QName` | `XSD_ANYSIMPLETYPE`
`static QName` | `XSD_ANYTYPE`
`static QName` | `XSD_ANYURI`
`static QName` | `XSD_BASE64`
`static QName` | `XSD_BOOLEAN`
`static QName` | `XSD_BYTE`
`static QName` | `XSD_DATE`
`static QName` | `XSD_DATETIME`
`static QName` | `XSD_DAY`
`static QName` | `XSD_DECIMAL`
`static QName` | `XSD_DOUBLE`
`static QName` | `XSD_DURATION`
`static QName` | `XSD_ENTITIES`
`static QName` | `XSD_ENTITY`
`static QName` | `XSD_FLOAT`
`static QName` | `XSD_HEXBIN`
`static QName` | `XSD_ID`
`static QName` | `XSD_IDREF`
`static QName` | `XSD_IDREFS`
`static QName` | `XSD_INT`
`static QName` | `XSD_INTEGER`
`static QName` | `XSD_LANGUAGE`
`static QName` | `XSD_LONG`
`static QName` | `XSD_MONTH`
`static QName` | `XSD_MONTHDAY`
`static QName` | `XSD_NAME`
`static QName` | `XSD_NCNAME`
`static QName` | `XSD_NEGATIVEINTEGER`
`static QName` | `XSD_NMTOKEN`
`static QName` | `XSD_NMTOKENS`
`static QName` | `XSD_NONNEGATIVEINTEGER`
`static QName` | `XSD_NONPOSITIVEINTEGER`
`static QName` | `XSD_NORMALIZEDSTRING`
`static QName` | `XSD_NOTATION`
`static QName` | `XSD_POSITIVEINTEGER`
`static QName` | `XSD_QNAME`
`static QName` | `XSD_SCHEMA`
`static QName` | `XSD_SHORT`
`static QName` | `XSD_STRING`
`static QName` | `XSD_TIME`
`static QName` | `XSD_TIMEINSTANT1999`
`static QName` | `XSD_TIMEINSTANT2000`
`static QName` | `XSD_TOKEN`
`static QName` | `XSD_UNSIGNEDBYTE`
`static QName` | `XSD_UNSIGNEDINT`
`static QName` | `XSD_UNSIGNEDLONG`
`static QName` | `XSD_UNSIGNEDSHORT`
`static QName` | `XSD_YEAR`
`static QName` | `XSD_YEARMONTH`

Constructor Summary
`Constants()`

Method Summary
`static boolean` | `equals(QName first, QName second)` equals The first QName is the current version of the name.
`static java.lang.String` | `getValue(org.xml.sax.Attributes attributes, QName[] search)` Search an attribute collection for a list of QNames, returning the value of the first one found, or null if none were found.
`static java.lang.String` | `getValue(org.xml.sax.Attributes attributes, java.lang.String[] search, java.lang.String localPart)` This utility routine returns the value of an attribute which might be in one of several namespaces.
`static boolean` | `isSchemaXSD(java.lang.String s)` Returns true if SchemaXSD Namespace.
`static boolean` | `isSchemaXSI(java.lang.String s)` Returns true if SchemaXSI Namespace.
`static boolean` | `isSOAP_ENC(java.lang.String s)` Returns true if SOAP_ENC Namespace.
`static boolean` | `isSOAP_ENV(java.lang.String s)` Returns true if the string is the SOAP_ENV Namespace.
`static boolean` | `isWSDL(java.lang.String s)` Returns true if this is a WSDL Namespace.
`static boolean` | `isWSDLSOAP(java.lang.String s)` Returns true if s is a WSDL SOAP Namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_PREFIX_SOAP_ENV

    public static final java.lang.String NS_PREFIX_SOAP_ENV

See Also:
  Constant Field Values

### NS_PREFIX_SOAP_ENC

    public static final java.lang.String NS_PREFIX_SOAP_ENC

See Also:
  Constant Field Values

### NS_PREFIX_SCHEMA_XSI

    public static final java.lang.String NS_PREFIX_SCHEMA_XSI

See Also:
  Constant Field Values

### NS_PREFIX_SCHEMA_XSD

    public static final java.lang.String NS_PREFIX_SCHEMA_XSD

See Also:
  Constant Field Values

### NS_PREFIX_WSDL

    public static final java.lang.String NS_PREFIX_WSDL

See Also:
  Constant Field Values

### NS_PREFIX_WSDL_SOAP

    public static final java.lang.String NS_PREFIX_WSDL_SOAP

See Also:
  Constant Field Values

### NS_PREFIX_XMLSOAP

    public static final java.lang.String NS_PREFIX_XMLSOAP

See Also:
  Constant Field Values

### NS_PREFIX_XML

    public static final java.lang.String NS_PREFIX_XML

See Also:
  Constant Field Values

### NS_PREFIX_XOP

    public static final java.lang.String NS_PREFIX_XOP

See Also:
  Constant Field Values

### NS_URI_AXIS

    public static final java.lang.String NS_URI_AXIS

See Also:
  Constant Field Values

### NS_URI_XMLSOAP

    public static final java.lang.String NS_URI_XMLSOAP

See Also:
  Constant Field Values

### NS_URI_JAVA

    public static final java.lang.String NS_URI_JAVA

See Also:
  Constant Field Values

### DEFAULT_SOAP_VERSION

    public static final SOAPConstants DEFAULT_SOAP_VERSION

### URI_SOAP11_ENV

    public static final java.lang.String URI_SOAP11_ENV

See Also:
  Constant Field Values

### URI_SOAP12_ENV

    public static final java.lang.String URI_SOAP12_ENV

See Also:
  Constant Field Values

### URI_DEFAULT_SOAP_ENV

    public static final java.lang.String URI_DEFAULT_SOAP_ENV

### URIS_SOAP_ENV

    public static final java.lang.String[] URIS_SOAP_ENV

### ENTERPRISE_LOG_CATEGORY

    public static final java.lang.String ENTERPRISE_LOG_CATEGORY

See Also:
  Constant Field Values

### TIME_LOG_CATEGORY

    public static final java.lang.String TIME_LOG_CATEGORY

  time logged stuff.

  See Also:
    Constant Field Values

### EXCEPTION_LOG_CATEGORY

    public static final java.lang.String EXCEPTION_LOG_CATEGORY

  Servlet exceptions. Axis faults are logged at debug level here.

  See Also:
    Constant Field Values

### ANYCONTENT

    public static final java.lang.String ANYCONTENT

  The name of the field which accepts xsd:any content in Beans.

  See Also:
    Constant Field Values

### HTTP_TXR_BUFFER_SIZE

    public static final int HTTP_TXR_BUFFER_SIZE

  The size of the buffer size for.

  See Also:
    Constant Field Values

### WSIBP11_COMPAT_PROPERTY

    public static final java.lang.String WSIBP11_COMPAT_PROPERTY

  Basic Profile 1.1 compatibility flag

  See Also:
    Constant Field Values

### URI_LITERAL_ENC

    public static final java.lang.String URI_LITERAL_ENC

See Also:
  Constant Field Values

### URI_SOAP11_ENC

    public static final java.lang.String URI_SOAP11_ENC

See Also:
  Constant Field Values

### URI_SOAP12_ENC

    public static final java.lang.String URI_SOAP12_ENC

See Also:
  Constant Field Values

### URI_SOAP12_NOENC

    public static final java.lang.String URI_SOAP12_NOENC

See Also:
  Constant Field Values

### URI_DEFAULT_SOAP_ENC

    public static final java.lang.String URI_DEFAULT_SOAP_ENC

### URIS_SOAP_ENC

    public static final java.lang.String[] URIS_SOAP_ENC

### URI_SOAP11_NEXT_ACTOR

    public static final java.lang.String URI_SOAP11_NEXT_ACTOR

See Also:
  Constant Field Values

### URI_SOAP12_NEXT_ROLE

    public static final java.lang.String URI_SOAP12_NEXT_ROLE

See Also:
  Constant Field Values

### URI_SOAP12_NEXT_ACTOR

    public static final java.lang.String URI_SOAP12_NEXT_ACTOR

  Deprecated. use URI_SOAP12_NEXT_ROLE

  See Also:
    Constant Field Values

### URI_SOAP12_RPC

    public static final java.lang.String URI_SOAP12_RPC

See Also:
  Constant Field Values

### URI_SOAP12_NONE_ROLE

    public static final java.lang.String URI_SOAP12_NONE_ROLE

See Also:
  Constant Field Values

### URI_SOAP12_ULTIMATE_ROLE

    public static final java.lang.String URI_SOAP12_ULTIMATE_ROLE

See Also:
  Constant Field Values

### URI_SOAP11_HTTP

    public static final java.lang.String URI_SOAP11_HTTP

See Also:
  Constant Field Values

### URI_SOAP12_HTTP

    public static final java.lang.String URI_SOAP12_HTTP

See Also:
  Constant Field Values

### NS_URI_XMLNS

    public static final java.lang.String NS_URI_XMLNS

See Also:
  Constant Field Values

### NS_URI_XML

    public static final java.lang.String NS_URI_XML

See Also:
  Constant Field Values

### URI_1999_SCHEMA_XSD

    public static final java.lang.String URI_1999_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2000_SCHEMA_XSD

    public static final java.lang.String URI_2000_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSD

    public static final java.lang.String URI_2001_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_DEFAULT_SCHEMA_XSD

    public static final java.lang.String URI_DEFAULT_SCHEMA_XSD

See Also:
  Constant Field Values

### URIS_SCHEMA_XSD

    public static final java.lang.String[] URIS_SCHEMA_XSD

### QNAMES_NIL

    public static final QName[] QNAMES_NIL

### URI_1999_SCHEMA_XSI

    public static final java.lang.String URI_1999_SCHEMA_XSI

See Also:
  Constant Field Values

### URI_2000_SCHEMA_XSI

    public static final java.lang.String URI_2000_SCHEMA_XSI

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSI

    public static final java.lang.String URI_2001_SCHEMA_XSI

See Also:
  Constant Field Values

### URI_DEFAULT_SCHEMA_XSI

    public static final java.lang.String URI_DEFAULT_SCHEMA_XSI

See Also:
  Constant Field Values

### URIS_SCHEMA_XSI

    public static final java.lang.String[] URIS_SCHEMA_XSI

### NS_URI_WSDL11

    public static final java.lang.String NS_URI_WSDL11

  WSDL Namespace.

  See Also:
    Constant Field Values

### NS_URIS_WSDL

    public static final java.lang.String[] NS_URIS_WSDL

### URI_DIME_WSDL

    public static final java.lang.String URI_DIME_WSDL

See Also:
  Constant Field Values

### URI_DIME_CONTENT

    public static final java.lang.String URI_DIME_CONTENT

See Also:
  Constant Field Values

### URI_DIME_REFERENCE

    public static final java.lang.String URI_DIME_REFERENCE

See Also:
  Constant Field Values

### URI_DIME_CLOSED_LAYOUT

    public static final java.lang.String URI_DIME_CLOSED_LAYOUT

See Also:
  Constant Field Values

### URI_DIME_OPEN_LAYOUT

    public static final java.lang.String URI_DIME_OPEN_LAYOUT

See Also:
  Constant Field Values

### URI_XOP_INCLUDE

    public static final java.lang.String URI_XOP_INCLUDE

See Also:
  Constant Field Values

### ELEM_XOP_INCLUDE

    public static final java.lang.String ELEM_XOP_INCLUDE

See Also:
  Constant Field Values

### URI_WSDL11_SOAP

    public static final java.lang.String URI_WSDL11_SOAP

See Also:
  Constant Field Values

### URI_WSDL12_SOAP

    public static final java.lang.String URI_WSDL12_SOAP

See Also:
  Constant Field Values

### NS_URIS_WSDL_SOAP

    public static final java.lang.String[] NS_URIS_WSDL_SOAP

### AXIS_SAX

    public static final java.lang.String AXIS_SAX

See Also:
  Constant Field Values

### ELEM_ENVELOPE

    public static final java.lang.String ELEM_ENVELOPE

See Also:
  Constant Field Values

### ELEM_HEADER

    public static final java.lang.String ELEM_HEADER

See Also:
  Constant Field Values

### ELEM_BODY

    public static final java.lang.String ELEM_BODY

See Also:
  Constant Field Values

### ELEM_FAULT

    public static final java.lang.String ELEM_FAULT

See Also:
  Constant Field Values

### ELEM_NOTUNDERSTOOD

    public static final java.lang.String ELEM_NOTUNDERSTOOD

See Also:
  Constant Field Values

### ELEM_UPGRADE

    public static final java.lang.String ELEM_UPGRADE

See Also:
  Constant Field Values

### ELEM_SUPPORTEDENVELOPE

    public static final java.lang.String ELEM_SUPPORTEDENVELOPE

See Also:
  Constant Field Values

### ELEM_FAULT_CODE

    public static final java.lang.String ELEM_FAULT_CODE

See Also:
  Constant Field Values

### ELEM_FAULT_STRING

    public static final java.lang.String ELEM_FAULT_STRING

See Also:
  Constant Field Values

### ELEM_FAULT_DETAIL

    public static final java.lang.String ELEM_FAULT_DETAIL

See Also:
  Constant Field Values

### ELEM_FAULT_ACTOR

    public static final java.lang.String ELEM_FAULT_ACTOR

See Also:
  Constant Field Values

### ELEM_FAULT_CODE_SOAP12

    public static final java.lang.String ELEM_FAULT_CODE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_VALUE_SOAP12

    public static final java.lang.String ELEM_FAULT_VALUE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_SUBCODE_SOAP12

    public static final java.lang.String ELEM_FAULT_SUBCODE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_REASON_SOAP12

    public static final java.lang.String ELEM_FAULT_REASON_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_NODE_SOAP12

    public static final java.lang.String ELEM_FAULT_NODE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_ROLE_SOAP12

    public static final java.lang.String ELEM_FAULT_ROLE_SOAP12

See Also:
  Constant Field Values

### ELEM_FAULT_DETAIL_SOAP12

    public static final java.lang.String ELEM_FAULT_DETAIL_SOAP12

See Also:
  Constant Field Values

### ELEM_TEXT_SOAP12

    public static final java.lang.String ELEM_TEXT_SOAP12

See Also:
  Constant Field Values

### ATTR_MUST_UNDERSTAND

    public static final java.lang.String ATTR_MUST_UNDERSTAND

See Also:
  Constant Field Values

### ATTR_ENCODING_STYLE

    public static final java.lang.String ATTR_ENCODING_STYLE

See Also:
  Constant Field Values

### ATTR_ACTOR

    public static final java.lang.String ATTR_ACTOR

See Also:
  Constant Field Values

### ATTR_ROLE

    public static final java.lang.String ATTR_ROLE

See Also:
  Constant Field Values

### ATTR_RELAY

    public static final java.lang.String ATTR_RELAY

See Also:
  Constant Field Values

### ATTR_ROOT

    public static final java.lang.String ATTR_ROOT

See Also:
  Constant Field Values

### ATTR_ID

    public static final java.lang.String ATTR_ID

See Also:
  Constant Field Values

### ATTR_HREF

    public static final java.lang.String ATTR_HREF

See Also:
  Constant Field Values

### ATTR_REF

    public static final java.lang.String ATTR_REF

See Also:
  Constant Field Values

### ATTR_QNAME

    public static final java.lang.String ATTR_QNAME

See Also:
  Constant Field Values

### ATTR_ARRAY_TYPE

    public static final java.lang.String ATTR_ARRAY_TYPE

See Also:
  Constant Field Values

### ATTR_ITEM_TYPE

    public static final java.lang.String ATTR_ITEM_TYPE

See Also:
  Constant Field Values

### ATTR_ARRAY_SIZE

    public static final java.lang.String ATTR_ARRAY_SIZE

See Also:
  Constant Field Values

### ATTR_OFFSET

    public static final java.lang.String ATTR_OFFSET

See Also:
  Constant Field Values

### ATTR_POSITION

    public static final java.lang.String ATTR_POSITION

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_HANDLERINFOCHAIN

    public static final java.lang.String ATTR_HANDLERINFOCHAIN

See Also:
  Constant Field Values

### FAULT_CLIENT

    public static final java.lang.String FAULT_CLIENT

See Also:
  Constant Field Values

### FAULT_SERVER_GENERAL

    public static final java.lang.String FAULT_SERVER_GENERAL

See Also:
  Constant Field Values

### FAULT_SERVER_USER

    public static final java.lang.String FAULT_SERVER_USER

See Also:
  Constant Field Values

### FAULT_VERSIONMISMATCH

    public static final QName FAULT_VERSIONMISMATCH

### FAULT_MUSTUNDERSTAND

    public static final QName FAULT_MUSTUNDERSTAND

### FAULT_SOAP12_MUSTUNDERSTAND

    public static final QName FAULT_SOAP12_MUSTUNDERSTAND

### FAULT_SOAP12_VERSIONMISMATCH

    public static final QName FAULT_SOAP12_VERSIONMISMATCH

### FAULT_SOAP12_DATAENCODINGUNKNOWN

    public static final QName FAULT_SOAP12_DATAENCODINGUNKNOWN

### FAULT_SOAP12_SENDER

    public static final QName FAULT_SOAP12_SENDER

### FAULT_SOAP12_RECEIVER

    public static final QName FAULT_SOAP12_RECEIVER

### FAULT_SUBCODE_BADARGS

    public static final QName FAULT_SUBCODE_BADARGS

### FAULT_SUBCODE_PROC_NOT_PRESENT

    public static final QName FAULT_SUBCODE_PROC_NOT_PRESENT

### QNAME_FAULTCODE

    public static final QName QNAME_FAULTCODE

### QNAME_FAULTSTRING

    public static final QName QNAME_FAULTSTRING

### QNAME_FAULTACTOR

    public static final QName QNAME_FAULTACTOR

### QNAME_FAULTDETAILS

    public static final QName QNAME_FAULTDETAILS

### QNAME_FAULTCODE_SOAP12

    public static final QName QNAME_FAULTCODE_SOAP12

### QNAME_FAULTVALUE_SOAP12

    public static final QName QNAME_FAULTVALUE_SOAP12

### QNAME_FAULTSUBCODE_SOAP12

    public static final QName QNAME_FAULTSUBCODE_SOAP12

### QNAME_FAULTREASON_SOAP12

    public static final QName QNAME_FAULTREASON_SOAP12

### QNAME_TEXT_SOAP12

    public static final QName QNAME_TEXT_SOAP12

### QNAME_FAULTNODE_SOAP12

    public static final QName QNAME_FAULTNODE_SOAP12

### QNAME_FAULTROLE_SOAP12

    public static final QName QNAME_FAULTROLE_SOAP12

### QNAME_FAULTDETAIL_SOAP12

    public static final QName QNAME_FAULTDETAIL_SOAP12

### QNAME_NOTUNDERSTOOD

    public static final QName QNAME_NOTUNDERSTOOD

### XSD_STRING

    public static final QName XSD_STRING

### XSD_BOOLEAN

    public static final QName XSD_BOOLEAN

### XSD_DOUBLE

    public static final QName XSD_DOUBLE

### XSD_FLOAT

    public static final QName XSD_FLOAT

### XSD_INT

    public static final QName XSD_INT

### XSD_INTEGER

    public static final QName XSD_INTEGER

### XSD_LONG

    public static final QName XSD_LONG

### XSD_SHORT

    public static final QName XSD_SHORT

### XSD_BYTE

    public static final QName XSD_BYTE

### XSD_DECIMAL

    public static final QName XSD_DECIMAL

### XSD_BASE64

    public static final QName XSD_BASE64

### XSD_HEXBIN

    public static final QName XSD_HEXBIN

### XSD_ANYSIMPLETYPE

    public static final QName XSD_ANYSIMPLETYPE

### XSD_ANYTYPE

    public static final QName XSD_ANYTYPE

### XSD_ANY

    public static final QName XSD_ANY

### XSD_QNAME

    public static final QName XSD_QNAME

### XSD_DATETIME

    public static final QName XSD_DATETIME

### XSD_DATE

    public static final QName XSD_DATE

### XSD_TIME

    public static final QName XSD_TIME

### XSD_TIMEINSTANT1999

    public static final QName XSD_TIMEINSTANT1999

### XSD_TIMEINSTANT2000

    public static final QName XSD_TIMEINSTANT2000

### XSD_NORMALIZEDSTRING

    public static final QName XSD_NORMALIZEDSTRING

### XSD_TOKEN

    public static final QName XSD_TOKEN

### XSD_UNSIGNEDLONG

    public static final QName XSD_UNSIGNEDLONG

### XSD_UNSIGNEDINT

    public static final QName XSD_UNSIGNEDINT

### XSD_UNSIGNEDSHORT

    public static final QName XSD_UNSIGNEDSHORT

### XSD_UNSIGNEDBYTE

    public static final QName XSD_UNSIGNEDBYTE

### XSD_POSITIVEINTEGER

    public static final QName XSD_POSITIVEINTEGER

### XSD_NEGATIVEINTEGER

    public static final QName XSD_NEGATIVEINTEGER

### XSD_NONNEGATIVEINTEGER

    public static final QName XSD_NONNEGATIVEINTEGER

### XSD_NONPOSITIVEINTEGER

    public static final QName XSD_NONPOSITIVEINTEGER

### XSD_YEARMONTH

    public static final QName XSD_YEARMONTH

### XSD_MONTHDAY

    public static final QName XSD_MONTHDAY

### XSD_YEAR

    public static final QName XSD_YEAR

### XSD_MONTH

    public static final QName XSD_MONTH

### XSD_DAY

    public static final QName XSD_DAY

### XSD_DURATION

    public static final QName XSD_DURATION

### XSD_NAME

    public static final QName XSD_NAME

### XSD_NCNAME

    public static final QName XSD_NCNAME

### XSD_NMTOKEN

    public static final QName XSD_NMTOKEN

### XSD_NMTOKENS

    public static final QName XSD_NMTOKENS

### XSD_NOTATION

    public static final QName XSD_NOTATION

### XSD_ENTITY

    public static final QName XSD_ENTITY

### XSD_ENTITIES

    public static final QName XSD_ENTITIES

### XSD_IDREF

    public static final QName XSD_IDREF

### XSD_IDREFS

    public static final QName XSD_IDREFS

### XSD_ANYURI

    public static final QName XSD_ANYURI

### XSD_LANGUAGE

    public static final QName XSD_LANGUAGE

### XSD_ID

    public static final QName XSD_ID

### XSD_SCHEMA

    public static final QName XSD_SCHEMA

### XML_LANG

    public static final QName XML_LANG

### SOAP_BASE64

    public static final QName SOAP_BASE64

### SOAP_BASE64BINARY

    public static final QName SOAP_BASE64BINARY

### SOAP_STRING

    public static final QName SOAP_STRING

### SOAP_BOOLEAN

    public static final QName SOAP_BOOLEAN

### SOAP_DOUBLE

    public static final QName SOAP_DOUBLE

### SOAP_FLOAT

    public static final QName SOAP_FLOAT

### SOAP_INT

    public static final QName SOAP_INT

### SOAP_LONG

    public static final QName SOAP_LONG

### SOAP_SHORT

    public static final QName SOAP_SHORT

### SOAP_BYTE

    public static final QName SOAP_BYTE

### SOAP_INTEGER

    public static final QName SOAP_INTEGER

### SOAP_DECIMAL

    public static final QName SOAP_DECIMAL

### SOAP_ARRAY

    public static final QName SOAP_ARRAY

### SOAP_COMMON_ATTRS11

    public static final QName SOAP_COMMON_ATTRS11

### SOAP_COMMON_ATTRS12

    public static final QName SOAP_COMMON_ATTRS12

### SOAP_ARRAY_ATTRS11

    public static final QName SOAP_ARRAY_ATTRS11

### SOAP_ARRAY_ATTRS12

    public static final QName SOAP_ARRAY_ATTRS12

### SOAP_ARRAY12

    public static final QName SOAP_ARRAY12

### SOAP_MAP

    public static final QName SOAP_MAP

### SOAP_ELEMENT

    public static final QName SOAP_ELEMENT

### SOAP_DOCUMENT

    public static final QName SOAP_DOCUMENT

### SOAP_VECTOR

    public static final QName SOAP_VECTOR

### MIME_IMAGE

    public static final QName MIME_IMAGE

### MIME_PLAINTEXT

    public static final QName MIME_PLAINTEXT

### MIME_MULTIPART

    public static final QName MIME_MULTIPART

### MIME_SOURCE

    public static final QName MIME_SOURCE

### MIME_OCTETSTREAM

    public static final QName MIME_OCTETSTREAM

### MIME_DATA_HANDLER

    public static final QName MIME_DATA_HANDLER

### QNAME_LITERAL_ITEM

    public static final QName QNAME_LITERAL_ITEM

### QNAME_RPC_RESULT

    public static final QName QNAME_RPC_RESULT

### QNAME_FAULTDETAIL_STACKTRACE

    public static final QName QNAME_FAULTDETAIL_STACKTRACE

  QName of stack trace element in an axis fault detail.

### QNAME_FAULTDETAIL_EXCEPTIONNAME

    public static final QName QNAME_FAULTDETAIL_EXCEPTIONNAME

  QName of exception Name element in an axis fault detail. Do not use - this is for pre-1.0 server->client exceptions.

### QNAME_FAULTDETAIL_RUNTIMEEXCEPTION

    public static final QName QNAME_FAULTDETAIL_RUNTIMEEXCEPTION

  Flag set if this was a runtime exception, rather than something thrown by the class at the end of the chain. Axis' logging treats runtime exceptions more seriously.

### QNAME_FAULTDETAIL_HTTPERRORCODE

    public static final QName QNAME_FAULTDETAIL_HTTPERRORCODE

  QName of stack trace element in an axis fault detail.

### QNAME_FAULTDETAIL_NESTEDFAULT

    public static final QName QNAME_FAULTDETAIL_NESTEDFAULT

  QName of a nested fault in an axis fault detail.

### QNAME_FAULTDETAIL_HOSTNAME

    public static final QName QNAME_FAULTDETAIL_HOSTNAME

  QName of a hostname in an axis fault detail.

### QNAME_NO_SERVICE_FAULT_CODE

    public static final QName QNAME_NO_SERVICE_FAULT_CODE

  The no-service fault value.

### MC_JWS_CLASSDIR

    public static final java.lang.String MC_JWS_CLASSDIR

See Also:
  Constant Field Values

### MC_HOME_DIR

    public static final java.lang.String MC_HOME_DIR

See Also:
  Constant Field Values

### MC_RELATIVE_PATH

    public static final java.lang.String MC_RELATIVE_PATH

See Also:
  Constant Field Values

### MC_REALPATH

    public static final java.lang.String MC_REALPATH

See Also:
  Constant Field Values

### MC_CONFIGPATH

    public static final java.lang.String MC_CONFIGPATH

See Also:
  Constant Field Values

### MC_REMOTE_ADDR

    public static final java.lang.String MC_REMOTE_ADDR

See Also:
  Constant Field Values

### MC_SERVLET_ENDPOINT_CONTEXT

    public static final java.lang.String MC_SERVLET_ENDPOINT_CONTEXT

See Also:
  Constant Field Values

### MC_NO_OPERATION_OK

    public static final java.lang.String MC_NO_OPERATION_OK

See Also:
  Constant Field Values

### MC_SINGLE_SOAP_VERSION

    public static final java.lang.String MC_SINGLE_SOAP_VERSION

See Also:
  Constant Field Values

### JWS_DEFAULT_FILE_EXTENSION

    public static final java.lang.String JWS_DEFAULT_FILE_EXTENSION

  What the extension of JWS files is. If changing this, note that AxisServlet has an xdoclet declaration in the class javadocs that also needs updating.

  See Also:
    Constant Field Values

### DEFAULT_MESSAGE_TIMEOUT

    public static final int DEFAULT_MESSAGE_TIMEOUT

  The default timeout for messages.

  Since:
    Axis1.2
  See Also:
    Constant Field Values

### MIME_CT_APPLICATION_OCTETSTREAM

    public static final java.lang.String MIME_CT_APPLICATION_OCTETSTREAM

  MIME Content Types

  Since:
    Axis1.2
  See Also:
    Constant Field Values

### MIME_CT_TEXT_PLAIN

    public static final java.lang.String MIME_CT_TEXT_PLAIN

See Also:
  Constant Field Values

### MIME_CT_IMAGE_JPEG

    public static final java.lang.String MIME_CT_IMAGE_JPEG

See Also:
  Constant Field Values

### MIME_CT_IMAGE_GIF

    public static final java.lang.String MIME_CT_IMAGE_GIF

See Also:
  Constant Field Values

### MIME_CT_TEXT_XML

    public static final java.lang.String MIME_CT_TEXT_XML

See Also:
  Constant Field Values

### MIME_CT_APPLICATION_XML

    public static final java.lang.String MIME_CT_APPLICATION_XML

See Also:
  Constant Field Values

### MIME_CT_MULTIPART_PREFIX

    public static final java.lang.String MIME_CT_MULTIPART_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Method Detail

### isSOAP_ENV

    public static boolean isSOAP_ENV(java.lang.String s)

  Returns true if the string is the SOAP_ENV Namespace.

  Parameters:
    `s` - the string representation of a URI
  Returns:
    `true` if s represents any of the supported soap envelope URI strings

### isSOAP_ENC

    public static boolean isSOAP_ENC(java.lang.String s)

  Returns true if SOAP_ENC Namespace.

  Parameters:
    `s` - a string representing the URI to check
  Returns:
    true if `s` matches a SOAP ENCODING namespace URI, false otherwise

### getValue

    public static java.lang.String getValue(org.xml.sax.Attributes attributes,
                                            java.lang.String[] search,
                                            java.lang.String localPart)

  This utility routine returns the value of an attribute which might be in one of several namespaces.

  Parameters:
    `attributes` - the attributes to search
    `search` - an array of namespace URI strings to search
    `localPart` - is the local part of the attribute name
  Returns:
    the value of the attribute or null

### getValue

    public static java.lang.String getValue(org.xml.sax.Attributes attributes,
                                            QName[] search)

  Search an attribute collection for a list of QNames, returning the value of the first one found, or null if none were found.

  Parameters:
    `attributes` -
    `search` -
  Returns:
    the value of the attribute

### equals

    public static boolean equals(QName first,
                                 QName second)

  equals The first QName is the current version of the name. The second qname is compared with the first considering all namespace uri versions.

  Parameters:
    `first` - Currently supported QName
    `second` - any qname
  Returns:
    true if the qnames represent the same qname (paster namespace uri versions considered

### isSchemaXSD

    public static boolean isSchemaXSD(java.lang.String s)

  Returns true if SchemaXSD Namespace.

  Parameters:
    `s` - the string representing the URI to check
  Returns:
    true if s represents the Schema XSD namespace, false otherwise

### isSchemaXSI

    public static boolean isSchemaXSI(java.lang.String s)

  Returns true if SchemaXSI Namespace.

  Parameters:
    `s` - the string of the URI to check
  Returns:
    true if `s` is a Schema XSI URI, false otherwise

### isWSDL

    public static boolean isWSDL(java.lang.String s)

  Returns true if this is a WSDL Namespace.

  Parameters:
    `s` - a string of a URI to check
  Returns:
    true if `s` is a WSDL namespace URI, false otherwise

### isWSDLSOAP

    public static boolean isWSDLSOAP(java.lang.String s)

  Returns true if s is a WSDL SOAP Namespace.

  Parameters:
    `s` - a string of a URI to check
  Returns:
    true if `s` matches any of the WSDL SOAP namepace URIs, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.